"{ Package: 'stx:libbasic2' }"

"{ NameSpace: Smalltalk }"

DomainError subclass:#IncompatibleMatrixError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!IncompatibleMatrixError class methodsFor:'documentation'!

documentation
"
    Raised by certain matrix functions when the receiver or arg
    is not of the appropriate form (eg. non-square, where a square matrix is expected).
"
! !

!IncompatibleMatrixError class methodsFor:'initialization'!

initialize
    NotifierString := 'incompatible matrix'.
! !

!IncompatibleMatrixError methodsFor:'defaults'!

defaultResumeValue
    "the default answer, if no one handles the query and the exception is resumed.
     Re-redefined to return nil instead of NaN."

    ^ nil

    "Created: / 20-06-2017 / 12:02:19 / cg"
! !

!IncompatibleMatrixError class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !


IncompatibleMatrixError initialize!
